Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
Class TableLayout

Represents a HTML style table layout

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`int` | `cellpadding`
`JPanel` | `panel`
`int` | `rowCount`

Constructor Summary
`TableLayout()`

Method Summary
`void` | `addCell(TableLayoutCell cell)` Adds a new cell to the current grid
`LayoutManager` | `createLayoutManager()` Creates a GridBagLayout
`int` | `getCellpadding()`
`Component` | `getComponent()`
`int` | `nextRowIndex()` Creates a new row index for child
tags
`void` | `setCellpadding(int cellpadding)`

Constructor Detail

### TableLayout

    public TableLayout()

Method Detail

### addCell

    public void addCell(TableLayoutCell cell)

  Adds a new cell to the current grid

### createLayoutManager

    LayoutManager createLayoutManager()

  Creates a GridBagLayout

### getCellpadding

    public int getCellpadding()

### getComponent

    public Component getComponent()

### nextRowIndex

    public int nextRowIndex()

  Creates a new row index for child
  tags

### setCellpadding

    public void setCellpadding(int cellpadding)